package store

import (
	"errors"
	"io"
)

var ErrNoSuchItem = errors.New("no such item")

type Store interface {
	Add(r io.Reader) (string, error)
	Delete(id string) error
	Get(id string) (io.ReadCloser, error)
}
